﻿.main-categroy-box{
    width: 280px;
    display: inline-block;
    vertical-align: top;
    position: relative;
    min-height: calc(100vh - 120px);
}
.rwd-main-categroy-box{
    display: none;
}
.main-categroy-all-box{
    width: 100%;
    height: 100%;
    display: block;
    font-size: 0;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    background-color: #fafafa;
}
.main-categroy-info-box{
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding: 75px 0;
}
.main-categroy-info{
    width: 100%;
    display: block;
    margin-bottom: 25px;
    box-sizing: border-box;
    padding: 0 50px;
}
.main-categroy-info-maximum{
    font-size: 16px;
    color: #666;
    letter-spacing: 0.1em;
    line-height: 30px;
    display: block;
}
.main-categroy-info-maximum p{
    font-size: 16px;
    color: #666;
    letter-spacing: 0.1em;
    line-height: 30px;
    display: inline-block;
    vertical-align: middle;
    margin-left: 8px;
    font-family: 'Noto Sans TC';
    font-weight: 300;
    transition: all .3s linear;
}
.main-categroy-info-maximum span{
    width: 15px;
    height: 15px;
    vertical-align: middle;
    display: inline-flex;
    display: -webkit-inline-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction: column;
    overflow: hidden;
}
.main-categroy-info-maximum span>img{
    -webkit-filter: drop-shadow(rgb(229, 7, 110) 15px 0px);
    filter: drop-shadow(rgb(229, 7, 110) 15px 0px);
    color: rgb(229, 7, 110);
}
.main-categroy-info-second-box{
    position: absolute;
    top: 0;
    left: 100%;
    background-color: #e5076e;
    height: 100%;
    width: 280px;
    box-sizing: border-box;
    padding: 80px 30px;
    opacity: 0;
    pointer-events: none;
    transition: all .3s linear;
}
.main-categroy-info:hover .main-categroy-info-second-box{
    opacity: 1;
    pointer-events: all;
}
.main-categroy-info-second-name{
    font-size: 20px;
    color: #fff;
    letter-spacing: 0.1em;
    line-height: 30px;
    font-family: 'Noto Sans TC';
    font-weight: 700;
    margin-bottom: 30px;
}
.main-categroy-info-second{
    width: 100%;
    display: block;
    margin-bottom: 20px;
}
.main-categroy-info-second:last-child{
    margin-bottom: 0;
}
.main-categroy-info-second-text{
    font-size: 16px;
    color: #fff;
    letter-spacing: 0.1em;
    line-height: 30px;
    font-family: 'Noto Sans TC';
    font-weight: 100;
    position: relative;
}
.main-categroy-info-second-text i{
    margin-left: 10px;
}
.main-categroy-info-second-text::after{
    content: '';
    width: 0%;
    height: 1px;
    background-color: #fff;
    position: absolute;
    bottom: 0;
    left: 0;
    transition: all .3s linear;
}


@media only screen and (max-width: 1200px){
    .main-categroy-box{
        min-height: calc(100vh - 100px);
    }
}
@media only screen and (max-width: 1000px){
    .main-categroy-box{
        width: 200px;
    }
    .main-categroy-info-box{
        padding: 50px 0;
    }
    .main-categroy-info{
        padding: 0 30px;
    }
    .main-categroy-info-second-box{
        padding: 50px 20px;
        width: 200px;
    }
    .main-categroy-info-maximum{
        font-size: 14px;
        line-height: 24px;
    }
    .main-categroy-info-maximum p{
        font-size: 14px;
        line-height: 24px;
    }
    .main-categroy-info-second-name{
        font-size: 18px;
        line-height: 24px;
        margin-bottom: 20px;
    }
    .main-categroy-info-second-text{
        font-size: 14px;
        line-height: 24px;
    }
    
}
@media only screen and (max-width: 768px){
    .main-categroy-box{
        display: block;
        width: 100%;
        min-height: initial;
    }
    .rwd-main-categroy-box{
        width: 100%;
        display: block;
        background-color: rgba(0, 126, 252, 0.7);
        box-sizing: border-box;
        padding: 20px 2.5vw;
    }
    .rwd-main-categroy{
        width: 100%;
        line-height: 50px;
        background-color: rgba(0, 126, 252, 1);
        color: #fff;
        letter-spacing: 0.06em;
        box-sizing: border-box;
        padding: 0 20px;
        font-size: 16px;
    }
    .rwd-main-categroy i{
        margin-right: 10px;
    }
    .main-categroy-all-box{
        display: block;
        width: calc(100% - 5vw);
        height: initial;
        top: calc(100% - 20px);
        left: 2.5vw;
        box-shadow: 0 5px 5px rgba(0, 0, 0, 0.3);
        display: none;
    }
    .main-categroy-info-box {
        padding: 0;
    }
    .main-categroy-info{
        position: relative;
        margin-bottom: 0;
        padding: 5px 20px;
        border-top: 1px solid #d1d1d1;
    }
    .main-categroy-info:last-child{
        border-bottom: 1px solid #d1d1d1;
    }
    .main-categroy-info-maximum{
        box-sizing: border-box;
        padding: 5px 0;
    }
    .main-categroy-info-second-box{
        position: static;
        opacity: 1;
        background-color: transparent;
        width: 100%;
        padding: 10px 10px;
        display: none;
    }
    .main-categroy-info-second-name{
        color: #000;
    }
    .main-categroy-info-second-text{
        color: #666;
    }
}
@media only screen and (max-width: 550px){
    .rwd-main-categroy{
        font-size: 14px;
        padding: 0 10px;
        line-height: 40px;
    }
    .main-categroy-info{
        padding: 5px 10px;
    }
    .main-categroy-info-second-name{
        margin-bottom: 10px;
    }
    .main-categroy-info-second{
        margin-bottom: 10px;
    }
}


@media only screen and (min-width: 1001px){
    .main-categroy-info:hover .main-categroy-info-maximum p{
        color: #e5076e;
    }
    .main-categroy-info:hover .main-categroy-info-maximum span>img{
        transform: translateX(-15px);
    }
    .main-categroy-info-second-text:hover{
        color: #fff;
    }
    .main-categroy-info-second-text:hover:after{
        width: 100%;
    }

    .main-categroy-box{
        animation: fadeInRight 1s ease 0s 1 both;
        z-index: 3;
    }
}